Sending again from the address registered on this list. My apologies if this 
gets posted twice.
--------------------------------------------------------------------------------------
I have been using portupgrade with a new tree, initially
portupgrade -Pa
of which not all succeeded the first time round, largely because although 
necessary packages were present, necessary libraries had gone missing. This 
last time, after lengthy recompiling to get gnucash working, konqueror began 
reporting kio-slave i:o errors. I reinstalled kdelibs3 and its dependencies. 
It works again, but there is a marked loss of performance. Now kalarm reports 
missing libraries.

A poster referred me to the /usr/ports/UPDATING notice on libtool, which I 
read with dismay. It indicates that automatic updaters should be used 
"carefully." I only know what I have read in the Handbook and in the man 
page, and so can't yet aspire to this "careful" standard. I can't find 
agreement on a fix in the archives.

As for kalarm:

bsd# ldd /usr/local/bin/kalarm
/usr/local/bin/kalarm:
[snip]
        libgmodule-2.0.so.600 => not found (0x0)
        libgthread-2.0.so.600 => not found (0x0)

I searched the archive. There is a thread about this here:
http://lists.freebsd.org/mailman/htdig/freebsd-questions/2005-November/104464.html
indicating that the problem is an improper port upgrade, in that ports relying 
on glib had not been updated. It suggests using the automatic processes that 
UPDATING says should be used with care.

My best guess was:
portupgrade -r glib-2.8.6_1
portupgrade -f glib-2.8.6_1

but these libraries remain missing. I will have to attempt this symlink 
solution for want of anything better, as I rely on kalarm, but does anyone 
have a better solution?

Oliver
_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to